Select Page

MT4 terminal got updated with new build1418-1420.
Some old MQL4 Market MT4 EAs or indicators can’t run in this MT4 build version. If this happens to you, simply use Build 1415 instead and stop auto update with download link below!

MT4 Terminal Build 1415 Download: https://mega.nz/file/wboiUARI#OVbAurAxwlcq3QxsoDuK9_Dri2-p8EU8wV55rdYOKv0

Indicators, EAs and trading systems from independent vendors work completely fine. This issue ONLY affects old products from MQL4 market!

Programmers work night and day to release NEW, updated version of all the best indicators and EAs that can run on MT4 build 1420+. I currently listed tons of NEW updated MT4 products that already work perfectly well on all new MT4 builds